<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="AccJurnalKasHarian"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="595"
		 pageHeight="842"
		 columnWidth="535"
		 columnSpacing="0"
		 leftMargin="30"
		 rightMargin="30"
		 topMargin="20"
		 bottomMargin="20"
		 whenNoDataType="NoPages"
		 scriptletClass="AccJurnalKasHarianScriptlet"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="1" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="toko" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Koperasi karyawan Siloam Hospitals Surabaya"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Jl. Raya Gubeng 70"]]></defaultValueExpression>
	</parameter>
	<parameter name="telp" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["031-503 1333"]]></defaultValueExpression>
	</parameter>
	<parameter name="tahun" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["2007"]]></defaultValueExpression>
	</parameter>
	<parameter name="tanggal1" isForPrompting="true" class="java.lang.String">
		<defaultValueExpression ><![CDATA["2008-01-01"]]></defaultValueExpression>
	</parameter>
	<parameter name="tanggal2" isForPrompting="true" class="java.lang.String">
		<defaultValueExpression ><![CDATA["2019-10-01"]]></defaultValueExpression>
	</parameter>
	<parameter name="accNo" isForPrompting="true" class="java.lang.String">
		<defaultValueExpression ><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<queryString><![CDATA[select * from fn_acc_rpt_rekap_jurnal_harian($P{tanggal1}, $P{tanggal2}, $P{accNo}) as 
(acc_no varchar, acc_name varchar, tanggal date, source_no varchar, description varchar, 
saldo_aw double precision, debit double precision, credit double precision)]]></queryString>

	<field name="acc_no" class="java.lang.String"/>
	<field name="acc_name" class="java.lang.String"/>
	<field name="tanggal" class="java.sql.Date"/>
	<field name="source_no" class="java.lang.String"/>
	<field name="description" class="java.lang.String"/>
	<field name="saldo_aw" class="java.lang.Double"/>
	<field name="debit" class="java.lang.Double"/>
	<field name="credit" class="java.lang.Double"/>

	<variable name="sub_debit" class="java.lang.Double" resetType="Group" resetGroup="acc_no" calculation="Sum">
		<variableExpression><![CDATA[$F{debit}]]></variableExpression>
	</variable>
	<variable name="sub_kredit" class="java.lang.Double" resetType="Group" resetGroup="acc_no" calculation="Sum">
		<variableExpression><![CDATA[$F{credit}]]></variableExpression>
	</variable>
	<variable name="total_debit" class="java.lang.Double" resetType="Report" calculation="Sum">
		<variableExpression><![CDATA[$F{debit}]]></variableExpression>
	</variable>
	<variable name="total_kredit" class="java.lang.Double" resetType="Report" calculation="Sum">
		<variableExpression><![CDATA[$F{credit}]]></variableExpression>
	</variable>
	<variable name="v_saldo" class="java.lang.Double" resetType="Group" resetGroup="acc_no" calculation="Nothing">
		<variableExpression><![CDATA[$F{debit}]]></variableExpression>
	</variable>

		<group  name="acc_no" isReprintHeaderOnEachPage="true" >
			<groupExpression><![CDATA[$F{acc_no}]]></groupExpression>
			<groupHeader>
			<band height="39"  isSplitAllowed="true" >
				<staticText>
					<reportElement
						x="0"
						y="13"
						width="49"
						height="13"
						key="staticText-21"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.5" lineStyle="Solid"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Left">
						<font size="7" isBold="true"/>
					</textElement>
				<text><![CDATA[Tanggal]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="120"
						y="13"
						width="225"
						height="13"
						key="staticText-22"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.5" lineStyle="Solid"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Left">
						<font size="7" isBold="true"/>
					</textElement>
				<text><![CDATA[Uraian]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="345"
						y="13"
						width="62"
						height="13"
						key="staticText-23"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.5" lineStyle="Solid"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Center">
						<font size="7" isBold="true"/>
					</textElement>
				<text><![CDATA[Debet]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="407"
						y="13"
						width="56"
						height="13"
						key="staticText-24"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.5" lineStyle="Solid"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Center">
						<font size="7" isBold="true"/>
					</textElement>
				<text><![CDATA[Kredit]]></text>
				</staticText>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="463"
						y="0"
						width="72"
						height="13"
						key="textField"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.5"/>
</box>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{acc_no}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="407"
						height="13"
						key="textField-7"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
</box>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Nama Akun : "+$F{acc_name}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="463"
						y="13"
						width="72"
						height="13"
						key="staticText-27"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.5" lineStyle="Solid"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.5"/>
</box>
					<textElement textAlignment="Center">
						<font size="7" isBold="true"/>
					</textElement>
				<text><![CDATA[Saldo]]></text>
				</staticText>
				<textField isStretchWithOverflow="true" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="463"
						y="26"
						width="72"
						height="13"
						key="textField-13"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="3" topPadding="1">					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5" lineColor="#999999"/>
					<rightPen lineWidth="0.5"/>
</box>
					<textElement textAlignment="Right">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{acc_no}.equalsIgnoreCase( "" )? $F{saldo_aw}:$P{REPORT_SCRIPTLET}.getLastSaldo()]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="120"
						y="26"
						width="343"
						height="13"
						key="staticText-28"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#999999"/>
</box>
					<textElement textAlignment="Left">
						<font  size="7" isBold="false"/>
					</textElement>
				<text><![CDATA[Saldo Awal]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="0"
						y="26"
						width="49"
						height="13"
						key="staticText-29"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#999999"/>
</box>
					<textElement textAlignment="Center">
						<font size="7" isBold="true"/>
					</textElement>
				<text><![CDATA[]]></text>
				</staticText>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="407"
						y="0"
						width="56"
						height="13"
						key="textField-18"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.5"/>
</box>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Acc. No : "]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="49"
						y="13"
						width="71"
						height="13"
						key="staticText-32"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.5" lineStyle="Solid"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Left">
						<font size="7" isBold="true"/>
					</textElement>
				<text><![CDATA[No. Bukti]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="49"
						y="26"
						width="71"
						height="13"
						key="staticText-33"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#999999"/>
</box>
					<textElement textAlignment="Left">
						<font  size="7" isBold="false"/>
					</textElement>
				<text><![CDATA[]]></text>
				</staticText>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="26"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="true" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="345"
						y="0"
						width="62"
						height="13"
						key="textField-9"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Right">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$V{sub_debit}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="407"
						y="0"
						width="56"
						height="13"
						key="textField-10"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.5"/>
</box>
					<textElement textAlignment="Right">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$V{sub_kredit}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="345"
						height="13"
						key="textField-11"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
</box>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Total dari "+$F{acc_no}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="463"
						y="0"
						width="72"
						height="13"
						key="textField-15"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.5" lineColor="#000000"/>
					<leftPen lineWidth="0.5" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.5"/>
</box>
					<textElement textAlignment="Right">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$P{REPORT_SCRIPTLET}.getLastSaldo()]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="0"
						y="13"
						width="535"
						height="13"
						key="staticText-30"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.5" lineStyle="Solid"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid"/>
					<rightPen lineWidth="0.5"/>
</box>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[]]></text>
				</staticText>
			</band>
			</groupFooter>
		</group>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="66"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="535"
						height="23"
						key="textField"/>
					<box leftPadding="2" rightPadding="2" topPadding="1"></box>
					<textElement>
						<font size="14" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$P{toko}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="0"
						y="50"
						width="535"
						height="13"
						key="staticText-31"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[]]></text>
				</staticText>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="41"
						width="535"
						height="13"
						key="textField-16"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0" lineColor="#999999"/>
</box>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Per tanggal : "+$P{tanggal1}.substring( 8,10)+$P{tanggal1}.substring( 4, 8 )+$P{tanggal1}.substring( 0, 4 )+
" s/d : "+$P{tanggal2}.substring( 8,10)+$P{tanggal2}.substring( 4, 8 )+$P{tanggal2}.substring( 0, 4 )]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="0"
						y="22"
						width="535"
						height="19"
						key="staticText-34"/>
					<box></box>
					<textElement>
						<font size="12" isBold="true"/>
					</textElement>
				<text><![CDATA[Jurnal Kas Harian]]></text>
				</staticText>
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="13"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="true" pattern="dd/MM/yyyy" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="49"
						height="13"
						key="textField-3"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
</box>
					<textElement>
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.util.Date"><![CDATA[$F{tanggal}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="120"
						y="0"
						width="225"
						height="13"
						key="textField-6"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement>
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{description}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="345"
						y="0"
						width="62"
						height="13"
						key="textField"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<leftPen lineWidth="0.5" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Right">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{debit}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="407"
						y="0"
						width="56"
						height="13"
						key="textField-8"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<leftPen lineWidth="0.5" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Right">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{credit}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="463"
						y="0"
						width="72"
						height="13"
						key="textField-14"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<leftPen lineWidth="0.5" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.5"/>
</box>
					<textElement textAlignment="Right">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$P{REPORT_SCRIPTLET}.getLastSaldo()]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="49"
						y="0"
						width="71"
						height="13"
						key="textField-19"
						stretchType="RelativeToBandHeight"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement>
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{source_no}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="13"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="50"
						height="13"
						key="textField"/>
					<box></box>
					<textElement textAlignment="Right">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Page " + $V{PAGE_NUMBER} + " of "]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Report" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="50"
						y="0"
						width="250"
						height="13"
						key="textField"/>
					<box></box>
					<textElement>
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["" + $V{PAGE_NUMBER} + ""]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="dd/MM/yyyy" isBlankWhenNull="false" evaluationTime="Report" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="407"
						y="0"
						width="56"
						height="13"
						key="textField"/>
					<box leftPadding="2" rightPadding="2"></box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="7"/>
					</textElement>
				<textFieldExpression   class="java.util.Date"><![CDATA[new java.util.Date()]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="HH.mm" isBlankWhenNull="false" evaluationTime="Report" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="463"
						y="0"
						width="72"
						height="13"
						key="textField"/>
					<box leftPadding="2" rightPadding="2"></box>
					<textElement verticalAlignment="Middle">
						<font size="7"/>
					</textElement>
				<textFieldExpression   class="java.util.Date"><![CDATA[new java.util.Date()]]></textFieldExpression>
				</textField>
			</band>
		</pageFooter>
		<summary>
			<band height="15"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
